/**
 * 
 */
package org.springframework.samples.kyuriboard.domain;

import java.io.Serializable;
import java.util.Date;

/**
 * @author DAMI(archy712@naver.com)
 * 
 */
public class Board implements Serializable {

	/**
	 * 직렬화 ID
	 */
	private static final long serialVersionUID = 1L;

	/**
	 * 게시물 ID
	 */
	private int boardId;

	/**
	 * 게시물 제목
	 */
	private String title;

	/**
	 * 조회수
	 */
	private int visited;

	/**
	 * 추천수
	 */
	private int recom;

	/**
	 * 글쓴이 IP ADDRESS
	 */
	private String userIp;

	/**
	 * 게시물의 HTML 여부(Y : HTML 문법 사용, N : HTML 문법 사용 안함)
	 */
	private String htmlyn;

	/**
	 * 게시물 입력일
	 */
	private Date insertDate;

	/**
	 * 게시물 내용
	 */
	private String content;

	/**
	 * 게시물 작성자의 사용자ID
	 */
	private String userId;

	/**
	 * @return the boardId
	 */
	public int getBoardId() {
		return boardId;
	}

	/**
	 * @param boardId
	 *            the boardId to set
	 */
	public void setBoardId(int boardId) {
		this.boardId = boardId;
	}

	/**
	 * @return the content
	 */
	public String getContent() {
		return content;
	}

	/**
	 * @param content
	 *            the content to set
	 */
	public void setContent(String content) {
		this.content = content;
	}

	/**
	 * @return the htmlyn
	 */
	public String getHtmlyn() {
		return htmlyn;
	}

	/**
	 * @param htmlyn
	 *            the htmlyn to set
	 */
	public void setHtmlyn(String htmlyn) {
		this.htmlyn = htmlyn;
	}

	/**
	 * @return the insertDate
	 */
	public Date getInsertDate() {
		return insertDate;
	}

	/**
	 * @param insertDate
	 *            the insertDate to set
	 */
	public void setInsertDate(Date insertDate) {
		this.insertDate = insertDate;
	}

	/**
	 * @return the recom
	 */
	public int getRecom() {
		return recom;
	}

	/**
	 * @param recom
	 *            the recom to set
	 */
	public void setRecom(int recom) {
		this.recom = recom;
	}

	/**
	 * @return the title
	 */
	public String getTitle() {
		return title;
	}

	/**
	 * @param title
	 *            the title to set
	 */
	public void setTitle(String title) {
		this.title = title;
	}

	/**
	 * @return the userId
	 */
	public String getUserId() {
		return userId;
	}

	/**
	 * @param userId
	 *            the userId to set
	 */
	public void setUserId(String userId) {
		this.userId = userId;
	}

	/**
	 * @return the userIp
	 */
	public String getUserIp() {
		return userIp;
	}

	/**
	 * @param userIp
	 *            the userIp to set
	 */
	public void setUserIp(String userIp) {
		this.userIp = userIp;
	}

	/**
	 * @return the visited
	 */
	public int getVisited() {
		return visited;
	}

	/**
	 * @param visited
	 *            the visited to set
	 */
	public void setVisited(int visited) {
		this.visited = visited;
	}

}
